load MavLinkStruct.mat;
%PID Parameters
Kp_RP_ANGLE =6.5;
Kp_RP_AgngleRate = 0.10;
Ki_RP_AgngleRate = 0.02;
Kd_RP_AgngleRate = 0.001;

Kp_YAW_AngleRate = 0.3;
Ki_YAW_AngleRate = 0.1;
Kd_YAW_AngleRate = 0.00;
%integral saturation
Saturation_I_RP_Max=0.3;
Saturation_I_RP_Min=-0.3;
Saturation_I_Y_Max=0.2;
Saturation_I_Y_Min=-0.2;
%thrust when UAV hover
THR_HOVER=0.609;
%max control angle
%default 35deg
MAX_CONTROL_ANGLE_ROLL = 35;
MAX_CONTROL_ANGLE_PITCH  = 35;
%max control angle rate
MAX_CONTROL_ANGLE_RATE_PITCH = 220;
MAX_CONTROL_ANGLE_RATE_ROLL = 220;
MAX_CONTROL_ANGLE_RATE_Y = 200;

%Initial condition
ModelInit_PosE = [0,0,0];
ModelInit_VelB = [0,0,0]; 
ModelInit_AngEuler = [0,0,0]; 
ModelInit_RateB = [0,0,0];
ModelInit_RPM = 0; %Initial motor speed(rad/s)

%ģͲ
ModelParam_uavMass = 1.4;   %(kg)
ModelParam_uavJxx = 0.0211; %ת
ModelParam_uavJyy = 0.0219; 
ModelParam_uavJzz = 0.0366;
%Moment of inertia matrix
ModelParam_uavJ= [ModelParam_uavJxx,0,0;...
    0,ModelParam_uavJyy,0;...
    0,0,ModelParam_uavJzz];
ModelParam_uavType = int8(3); %X-type quadrotorrefer to "Ͷĵ.docx" for specific definitions
ModelParam_uavMotNumbs = int8(4);  %Number of motors
ModelParam_uavR = 0.225;   %Body radius(m)

ModelParam_motorCr = 1148; %Motor throttle-speed curve slope(rad/s)
ModelParam_motorWb =-141.4;  %Motor speed-throttle curve constant term(rad/s)
ModelParam_motorT = 0.02;  %Motor inertia time constant(s)
ModelParam_motorJm = 0.0001287;    %Moment of inertia of motor rotor + propeller(kg.m^2)
%M=Cm*w^2
ModelParam_rotorCm = 1.779e-07;    %Rotor torque coefficient(kg.m^2)
%T=Ct**w^2
ModelParam_rotorCt = 1.105e-05;    %Rotor thrust coefficient(kg.m^2)
ModelParam_motorMinThr = 0.05;     %Motor throttle dead zone(kg.m^2)

ModelParam_uavCd = 0.073;   %Damping coefficient(N/(m/s)^2)
ModelParam_uavCCm = [0.01 0.01 0.0055]; %Damping moment coefficient vector(N/(m/s)^2)
ModelParam_uavDearo = 0.12;  %Vertical position difference of Aerodynamic center and gravity center(m)

ModelParam_GlobalNoiseGainSwitch =1;   %Noise level gain

%Environment Parameter
ModelParam_envGravityAcc = 9.8;  %Gravity acceleration(m/s^2)
ModelParam_envLongitude = 116.259368300000;  
ModelParam_envLatitude = 40.1540302;         
ModelParam_GPSLatLong = [ModelParam_envLatitude ModelParam_envLongitude];  %Latitude and longitude
ModelParam_envAltitude = -41.5260009765625;     %Reference height, down is positive
ModelParam_BusSampleRate = 0.001;            %Model sampling rate

